<!-- template for switch details -->
<script type="text/us-templ" id="switch-details-template">
    <div class="main-head">
        <h1>
            <img src="#" data-svgInject="switchWizzardSvg" data-wiz-page="none" class="svg-icon mq-desktop"/>
            <span><%- attributes.name %></span>
            <div class="item-edit pencil" data-toggle="modal" data-target="#renameSensorModal" data-swid="<%- cid %>">
                <svg width="24" height="24"><use transform="scale(0.48)" xlink:href="#icon-rename" /></svg>
            </div>
        </h1>
        <a id="deleteSwitches_btn" type="button" class="hdr-delete-btn" data-toggle="modal" data-target="#deleteSwitchModal">
            <svg width="18" height="18"><use transform="scale(0.7)" xlink:href="#delete-icon-sm" /></svg>
            <span data-translateid="deleteSwitch">Schalter löschen</span>
        </a>
        <!-- <button class="btn btn-default del-switch">DEL</button> -->
    </div>

    <div class="main-content">

        <img id="detailImg" src="#" data-svgInject="switchWizzardSvg" data-wiz-page="none" class="interactive"/>

        <div id="detailInfos">
            <div class="generals">
                <span data-translateid="th_vendor">Vendor</span> 
                <span class="vendor"><%- attributes.manufacturername %></span>

                <span data-translateid="th_product">Product</span> 
                <div>
                    <span class="product"><%- attributes.product %></span>
                    <i id="vsExtra"></i>
                </div>
            </div>

            <div class="swversion">
                <span data-translateid="th_version">Version</span> 
                <span class="swversion-label"><%- attributes.swversion %></span>

                <div class="version-ok" data-translateid="text_versionOk">Die Version ist auf dem neuesten Stand</div>
            </div>

            <div class="battery">
                <span data-translateid="th_battery">Battery</span> 
                <span class="battery-content"><%- attributes.config.battery %></span>
            </div>

            <div class="state">
                <span data-translateid="th_state">State</span>
                <span class="state-value">unknown</span>
                <span data-translateid="th_gesture">Gesture</span>
                <span class="gesture-value">unknown</span>
            </div>

            <div id="devUpdate" class="hide">
                <a class="changelog-wizard" href="#" data-translateid="text_view_change">Show changelog</a>
                <button class="btn btn-default update-wizard" data-toggle="modal" data-target="#switchWizardModal" data-translateid="text_updateFirmware">Update firmware</button>
            </div>
        </div>
    </div>
</script>

<!-- <div class="swedit-mode">
    <svg viewBox="0 0 48 48"> <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#switch-editor-icon"></use></svg>
    <p class="description" data-translateid="text_sweditConfig">Individuelle Funktionen im <a href="#">Schaltereditor</a> konfigurieren.</p>
    <button class="btn btn-default" data-translateid="text_sweditBaseFunction">Zu Grundfunktionen wechseln</button>
    <p class="info" data-translateid="text_sweditBaseFunctionDescription">Eingeschränkter Funktionsumfang auch <b>ohne</b> angeschlossenes Getway.</p>
</div> -->

<!-- <div id="deLightMode" style="margin-top: 2em;">
    <div><span data-translateid="th_mode">Modus</span> <span id="actuallyMode"></span></div>
    <button class="btn btn-default" data-toggle="modal" data-target="#switchLightingModeModal" data-translateid="text_switchMode" style="margin-bottom: 0;"
    onclick="javascript:wizInit($('#switchLightingModeModal'),'act-mode');">Modus wechseln</button>
</div> -->