<!-- template for switch details -->
<script type="text/us-templ" id="switch-details-template">
    <div class="main-head">
        <h1>
            <img src="#" data-svgInject="switchWizzardSvg" data-wiz-page="none" class="svg-icon mq-desktop"/>
            <span><%- attributes.name %></span>
            <div class="item-edit pencil" data-toggle="modal" data-target="#renameBlindModal" data-swid="<%- cid %>">
                <svg width="24" height="24"><use transform="scale(0.48)" xlink:href="#icon-rename" /></svg>
            </div>
        </h1>
        <a id="deleteSwitches_btn" type="button" class="hdr-delete-btn" data-toggle="modal" data-target="#deleteBlindModal">
            <svg width="18" height="18"><use transform="scale(0.7)" xlink:href="#delete-icon-sm" /></svg>
            <span data-translateid="deleteBlind">Rollo löschen</span>
        </a>
        <!-- <button class="btn btn-default del-switch">DEL</button> -->
    </div>

    <div class="main-content">

        <img id="detailImg" src="#" data-svgInject="switchWizzardSvg" data-wiz-page="none" class="interactive interactive-blind"/>

        <div id="detailInfos">
            <div class="generals">
                <span data-translateid="th_vendor">Vendor</span> 
                <span class="vendor"><%- attributes.manufacturername %></span>

                <span data-translateid="th_product">Product</span> 
                <span class="product"><%- attributes.product %></span>
            </div>

            <div class="swversion">
                <span data-translateid="th_version">Version</span> 
                <span><%- attributes.swversion %></span>
            </div>

            <div class="state" style="display: grid;">
                <span class="bri" data-translateid="th_state"></span> 
                <span class="bri"><%- attributes.state.bri %></span>
                
                <span class="battery" data-translateid="th_battery"></span> 
                <span class="battery"><%- attributes.state.battery %></span>
            </div>

            <div class="select-control-switch">
                <span data-translateid="">Switch control</span>
                <select id="switchSelect" style="padding: 8px 16px;">
                    <option value="None">None</option>
                </select>
            </div>
            <div class="ikea-change-max-length">
                <span data-translateid="">Maximallänge</span>
                <button data-btn-ev="BTN_BLIND_LENGTH_PRESSED" class="btn btn-default" data-modal="switchWizardModal" data-translateid="">Länge einstellen</button>
            </div>
        </div>
    </div>
</script>

<script type="text/us-templ" id="switch-control-option-template">
    <option data-group="<group>" value="<%- attributes.id %>"><%- attributes.name %></option>
</script>