<!-- template for switch details -->
<script type="text/us-templ" id="switch-overview-template">
    
    <div class="main-head">
        <h1 data-translateid="text_connectedBlinds">Connected blinds</h1>

        <div data-btn-ev="BTN_ADD_BLIND_PRESSED" data-modal="switchWizardModal" class="mq-phone">
            <svg width="18" height="18"><use transform="scale(0.7)" xlink:href="#add-icon-sm"/></svg>
        </div>
    </div>

    <div class="main-content">
        <div class="dev-table-hdr">
            <b><!-- head for icon --></b>
            <b data-translateid="th_name">Name</b>
            <b data-translateid="th_vendor">Vendor</b>
            <b data-translateid="th_product">Product</b>
            <b data-translateid="th_state">State</b>
        </div>

        <div id="devicesSwitchContainer" class="dev-scroll-cont">
            <table class="table table-hover dev-table">
                <tbody id="switchTable"></tbody>
            </table>
        </div>
    </div>

    <div class="bottom-bar mq-desktop">
        <button data-btn-ev="BTN_ADD_BLIND_PRESSED" data-modal="switchWizardModal" class="btn btn-default" data-translateid="btn_newBlind"></button>
    </div>
</script>

<!-- template for rending one row -->
<script type="text/us-templ" id="switch-item-template">
    <td style="display: flex;">
        <img src="#" data-svgInject="switchWizzardSvg" class="item-icon svg-icon" data-wiz-page="none"/>
    </td>
    <td class="open-detail"><%- name %></td>
    <td class="open-detail"><%- manufacturername %></td>
    <td class="open-detail"><%- product %></td>
    <td class="open-detail"><%- state.bri %></td>
    <!-- <td class="td_update">update verfügbar</td> -->
</script>